org.apache.cayenne.log

## Class CommonsJdbcEventLogger

- java.lang.Object
- - org.apache.cayenne.log.CommonsJdbcEventLogger

- All Implemented Interfaces:
    JdbcEventLogger
  Direct Known Subclasses:
    FormattedCommonsJdbcEventLogger

      public class CommonsJdbcEventLogger
      extends Object
      implements JdbcEventLogger

  A `JdbcEventLogger` built on top of commons-logging.
  Since:
    3.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonsJdbcEventLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLoggable()` Returns true if current thread default log level is high enough to generate output.
    `void` | `log(String message)` Logs an arbitrary message.
    `void` | `logBeginTransaction(String transactionLabel)`
    `void` | `logCommitTransaction(String transactionLabel)`
    `void` | `logConnect(String dataSource)` Logs database connection event using container data source.
    `void` | `logConnect(String url, String userName, String password)`
    `void` | `logConnectFailure(Throwable th)`
    `void` | `logConnectSuccess()`
    `void` | `logGeneratedKey(DbAttribute attribute, Object value)`
    `void` | `logPoolCreated(DataSourceInfo dsi)` Logs database connection event.
    `void` | `logQuery(String queryStr, List<?> params)`
    `void` | `logQuery(String queryStr, List<DbAttribute> attrs, List<?> params, long time)`
    `void` | `logQueryError(Throwable th)`
    `void` | `logQueryParameters(String label, List<DbAttribute> attrs, List<Object> parameters, boolean isInserting)`
    `void` | `logRollbackTransaction(String transactionLabel)`
    `void` | `logSelectCount(int count, long time)`
    `void` | `logUpdateCount(int count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonsJdbcEventLogger

          public CommonsJdbcEventLogger()

  - ### Method Detail

    - #### log

          public void log(String message)

      Description copied from interface: `JdbcEventLogger`
      Logs an arbitrary message.
      Specified by:
        `log` in interface `JdbcEventLogger`

    - #### logConnect

          public void logConnect(String dataSource)

      Description copied from interface: `JdbcEventLogger`
      Logs database connection event using container data source.
      Specified by:
        `logConnect` in interface `JdbcEventLogger`

    - #### logConnect

          public void logConnect(String url,
                                 String userName,
                                 String password)

      Specified by:
        `logConnect` in interface `JdbcEventLogger`

    - #### logPoolCreated

          public void logPoolCreated(DataSourceInfo dsi)

      Description copied from interface: `JdbcEventLogger`
      Logs database connection event.
      Specified by:
        `logPoolCreated` in interface `JdbcEventLogger`

    - #### logConnectSuccess

          public void logConnectSuccess()

      Specified by:
        `logConnectSuccess` in interface `JdbcEventLogger`

    - #### logConnectFailure

          public void logConnectFailure(Throwable th)

      Specified by:
        `logConnectFailure` in interface `JdbcEventLogger`

    - #### logGeneratedKey

          public void logGeneratedKey(DbAttribute attribute,
                                      Object value)

      Specified by:
        `logGeneratedKey` in interface `JdbcEventLogger`

    - #### logQuery

          public void logQuery(String queryStr,
                               List<?> params)

      Specified by:
        `logQuery` in interface `JdbcEventLogger`

    - #### logQuery

          public void logQuery(String queryStr,
                               List<DbAttribute> attrs,
                               List<?> params,
                               long time)

      Specified by:
        `logQuery` in interface `JdbcEventLogger`

    - #### logQueryParameters

          public void logQueryParameters(String label,
                                         List<DbAttribute> attrs,
                                         List<Object> parameters,
                                         boolean isInserting)

      Specified by:
        `logQueryParameters` in interface `JdbcEventLogger`

    - #### logSelectCount

          public void logSelectCount(int count,
                                     long time)

      Specified by:
        `logSelectCount` in interface `JdbcEventLogger`

    - #### logUpdateCount

          public void logUpdateCount(int count)

      Specified by:
        `logUpdateCount` in interface `JdbcEventLogger`

    - #### logBeginTransaction

          public void logBeginTransaction(String transactionLabel)

      Specified by:
        `logBeginTransaction` in interface `JdbcEventLogger`

    - #### logCommitTransaction

          public void logCommitTransaction(String transactionLabel)

      Specified by:
        `logCommitTransaction` in interface `JdbcEventLogger`

    - #### logRollbackTransaction

          public void logRollbackTransaction(String transactionLabel)

      Specified by:
        `logRollbackTransaction` in interface `JdbcEventLogger`

    - #### logQueryError

          public void logQueryError(Throwable th)

      Specified by:
        `logQueryError` in interface `JdbcEventLogger`

    - #### isLoggable

          public boolean isLoggable()

      Description copied from interface: `JdbcEventLogger`
      Returns true if current thread default log level is high enough to generate output.
      Specified by:
        `isLoggable` in interface `JdbcEventLogger`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.